---
search:
  tags:
    - Identitätsprotokolle
    - GET
seo:
  description: >-
    Protokolle der Identitätsprüfung auflisten, neueste zuerst. Optionale
    Filter: store, source, access (allowed oder denied) und der Zeitraum
    start/end. Mit…
sidebar:
  label: Identitätsprotokolle auflisten
  badge: GET
title: Identitätsprotokolle auflisten
type: openapi-operation
---
Protokolle der Identitätsprüfung auflisten, neueste zuerst. Optionale Filter: `store`, `source`, `access` (`allowed` oder `denied`) und der Zeitraum `start`/`end`. Mit `limit` und optionalem `cursor` paginieren. Liefert 403, wenn Identitätsprotokolle für die Organisation nicht aktiviert sind.

`GET /identity-logs`

**Responses**

- `200` — Identitätsprotokolle mit Meta
- `400` — Ungültige Parameter oder ungültiger Body.
- `403` — API-Key abgelehnt (siehe \`Forbidden\`) oder Identitätsprotokolle sind für die Organisation nicht aktiviert (\`Feature not available\`).

Response example, 200:

```json
{
  "data": [
    {
      "id": "log_01",
      "logType": "identity_check",
      "access": true,
      "store": "wattwil",
      "source": "passport",
      "logDate": "2024-04-20T12:00:00.000Z"
    }
  ],
  "meta": {
    "total": 1,
    "returned": 1,
    "limit": 1,
    "nextCursor": "log_02"
  }
}
```

Response example, 400:

```json
{
  "statusCode": 400,
  "message": "Validation failed for Field: name, Error: Required",
  "timestamp": "2024-04-20T12:00:00.000Z",
  "path": "/api/v1/suppliers"
}
```

Response example, 403:

```json
{
  "statusCode": 403,
  "message": "Feature not available",
  "timestamp": "2024-04-20T12:00:00.000Z",
  "path": "/api/v1/identity-logs"
}
```
